<div class="body">
  <div class="bg-img-box">
    <img class="bg-img"
         src="https://www.scienceintheclassroom.org/sites/default/files/styles/open_graph/public/magazine-images/06_Seeing-the-forest-for-the-trees.jpg?itok=ArG80Ken"/>
  </div>
  <div class="avatar-img-box">
    <img class="avatar-img" src="https://i.pinimg.com/originals/8d/f1/de/8df1deb22c0ef1debd7ab0294b8b910a.jpg"/>
  </div>

  <div class="user-name-text-box">
    <div class="user-name-text">
      XYZ'qwer2001
    </div>
  </div>
</div>
<app-waves-animation></app-waves-animation>

<p></p>

<div style="clear: right"></div>

<div class="action-buttons-box">
  <div class="flex-inline-box">
    <app-action-button
      [pIcon]="'pi-star'"
      [label]="'Follow'"
    ></app-action-button>
    <app-action-button
      [pIcon]="'pi-comment'"
      [label]="'Priv'"
    ></app-action-button>
    <app-action-button
      [pIcon]="'pi-ban'"
      [label]="'Is open'"
    ></app-action-button>
  </div>
  <div class="flex-inline-box">
    <app-action-button
      [pIcon]="'pi-bars'"
      [label]="'Auctions'"
    ></app-action-button>
    <app-action-button
      [label]="'History'"
      [pIcon]="'pi-align-justify'"
    ></app-action-button>
    <app-action-button
      [label]="'WIP'"
      [pIcon]="'pi-clone'"
    ></app-action-button>
  </div>
</div>

<div class="dark-tab-menu tab-menu-box">
  <p-tabMenu [model]="menuItem" [activeItem]="activeMenuItem"></p-tabMenu>
</div>
<p></p>
<div class="tabs-content">
  <router-outlet></router-outlet>
</div>

